> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/bitcoin/esplora-http-api/blocks/get-block-hash-raw.md).

# GET /block/:hash/raw

Returns the raw block representation in binary.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

**`block`**- block hash, required.

Example: `0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a`

## Returns

Returns the raw block representation in binary.

The response from this endpoint can be cached indefinitely.

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block/0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a/raw \
 -X GET
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block/0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a/raw \
 -X GET
```

{% endtab %}
{% endtabs %}
